---
search:
  tags:
    - Tags
    - PUT
seo:
  description: >-
    Associates multiple variants with multiple tags in a… Reference for the PUT
    /api/v1/{team_slug}/{app_slug}/variants/tags/bulk endpoint in the Management
    API.
sidebar:
  label: Bulk Add Variants to Tags
  badge: PUT
title: Bulk Add Variants to Tags
type: openapi-operation
---
Associates multiple variants with multiple tags in a single request. Creates variant-tag relationships.

`PUT /api/v1/{team_slug}/{app_slug}/variants/tags/bulk`

**Request body** (`application/json`, required)

Variant and tag relationships to create

- `items` (internal_pkg_webserver_v1.BulkVariantTagRelationshipItem[], required)

Request body example:

```json
{
  "items": [
    {
      "tag_id": "string",
      "variant_ids": [
        "string"
      ]
    }
  ]
}
```

**Responses**

- `200` — Variants added to tags successfully
- `400` — Invalid request
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "failed": [
      {
        "reason": "string",
        "tag_id": "string",
        "variant_id": "string"
      }
    ],
    "successful": [
      {
        "tag_id": "string",
        "variant_ids": [
          "string"
        ]
      }
    ]
  },
  "details": [
    "string"
  ],
  "success": true
}
```
